//@ sourceURL=estudioDocAlta.js
/*!
 * Copyright 2021 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la "Licencia");
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito,
 * el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */
jQuery(function($){

	if(typeof FN_resultadoEstudio00_onLoad == 'undefined'){
			window.FN_resultadoEstudio00_onLoad = () => {
				if($("#resultadoEstudio00").val() != null && $("#resultadoEstudio00").val()!= undefined){
					$("#resultadoEstudio00").rup_combo("setRupValue",$("#resultadoEstudio00").val());
				}
			}	
		}
	if(typeof FN_resultadoEstudio00_change == 'undefined'){
		window.FN_resultadoEstudio00_change = () => {
			if($("#resultadoEstudio00").val() == estadoDocumentacion11IncompletaVal ){
				// $("#situacioneFinalTarea").rup_combo("setRupValue","");
				//$("#situacioneFinalTarea").rup_combo("disable");
			}else{
				//$("#situacioneFinalTarea").rup_combo("enable");
			}
		}	
	}
	if(typeof FN_situacioneFinalTarea_change == 'undefined'){
		window.FN_situacioneFinalTarea_change = () => {
				if($("#situacioneFinalTarea").rup_combo("getRupValue") == situacioneFinalTareaRequerimientoSubsanacionVal ){
					$(".contenedorDatosNegocioEstudioDoc").hide();
					$("#divResolucionRequerimientoSubsanacion").show();					
					Ad74aUtils.resetFormulario("formularioTareaTramite2");
					Ad74aUtils.resetFormulario("formularioTareaTramite3");
					
				}else if($("#situacioneFinalTarea").rup_combo("getRupValue") == situacioneFinalTareaResolucionDenegacionVal){
					$(".contenedorDatosNegocioEstudioDoc").hide();
					$("#divResolucionDenegacion").show();			
					Ad74aUtils.resetFormulario("formularioTareaTramite2");
					Ad74aUtils.resetFormulario("formularioTareaTramite4");
					
				}else if($("#situacioneFinalTarea").rup_combo("getRupValue") == situacioneFinalTareaResolucionConcesionVal){
					$(".contenedorDatosNegocioEstudioDoc").hide();
					$("#divResolucionConcesion").show();
					Ad74aUtils.resetFormulario("formularioTareaTramite3");
					Ad74aUtils.resetFormulario("formularioTareaTramite4");
					FN_anioIPREM_change();
					FN_getByAnio79();
					FN_controlTipoPrecio();
				}else{
					$(".contenedorDatosNegocioEstudioDoc").hide();
				}
				

 	    	   Ad74aUtils.formatoMoneda();
		}	
	}
	if(typeof FN_controlTipoPrecio == 'undefined'){
		window.FN_controlTipoPrecio = () => {
			if($("#publico_tipoPrecio_tramitesExpedientes").prop( "checked" )){
				$("#precioFinal00_tramitesExpedientes").enable(false);
				FN_controlPrecioPublico();
			}else{
				$("#precioFinal00_tramitesExpedientes").enable(true);
			}
		}
	}
	
	if(typeof FN_controlResolExencion == 'undefined'){
		window.FN_controlResolExencion = () => {
			if($("#si_exencionRes00_tramitesExpedientes").prop( "checked" )){
				$("#publico_tipoPrecio_tramitesExpedientes").enable(false);
				$("#publico_tipoPrecio_tramitesExpedientes").removeProp( "checked" );
				$("#precioFinal00_tramitesExpedientes").val(0);
			}else{
				$("#publico_tipoPrecio_tramitesExpedientes").enable(true);
				$("#publico_tipoPrecio_tramitesExpedientes").prop( "checked" );
			}
			FN_controlTipoPrecio();
		}
	}
	
	if(typeof FN_getNivelRecurso == 'undefined'){
		window.FN_getNivelRecurso = () => {
			$.rup_ajax({
				url: $.rup.CTX_PATH + "datoseconomicos/getNivelRecurso",
				type: "POST",
				data: JSON.stringify({datosEconomicos :{idExpediente85:idExpediente00,ejercicioFilter:$("#anioIPREM_tramitesExpedientes").val()}}),
				dataType: 'json',
	            contentType: "application/json",
				success: function (mapaRespuesta){
					$("#nivelReq_tramitesExpedientes").val(Ad74aUtils.valorFormatoMoneda(mapaRespuesta));
				},
				error: function(error){	
					$("#rup_feedback_dialogTramitacion").rup_feedback('set',$.rup.i18n.app.error.recuperarValIPREM,"error");
				}
			});
		}
	}
	
	if(typeof FN_getByAnio79 == 'undefined'){
		window.FN_getByAnio79= () => {
			if($("#anioIPREM_tramitesExpedientes").val() != ''){
				$.rup_ajax({
					url: $.rup.CTX_PATH + "iprem/getByAnio79",
					type: "POST",
					data: JSON.stringify({  iprem :{anio79: $("#anioIPREM_tramitesExpedientes").val() }}),
					dataType: 'json',
		            contentType: "application/json",
					success: function (mapaRespuesta){
						$("#valIPREM_tramitesExpedientes").val(Ad74aUtils.valorFormatoMoneda(mapaRespuesta));
					},
					error: function(error){	
						$("#rup_feedback_dialogTramitacion").rup_feedback('set',$.rup.i18n.app.error.recuperarValIPREM,"error");
					}
				});
			}
		}
	}
	if(typeof FN_controlPrecioPublico == 'undefined'){
		function FN_controlPrecioPublico(){
			if(!$("#si_exencionRes00_tramitesExpedientes").prop( "checked")){
				Ad74aUtils.bloquearInterfaz();  
				$.rup_ajax({
					url: $.rup.CTX_PATH + "preciospublicos/findByPeriodo",
					type: "POST",
					data: JSON.stringify({  preciosPublicos :{fConcesion:$("#fResolucion00_tramitesExpedientes").val() }}),
					dataType: 'json',
		            contentType: "application/json",
					success: function (mapaRespuesta){
						if($("#publico_tipoPrecio_tramitesExpedientes").prop( "checked" )){
							$("#precioFinal00_tramitesExpedientes").val(Ad74aUtils.valorFormatoMoneda(mapaRespuesta.precioPublico77));
						}
						Ad74aUtils.desBloquearInterfaz();  
					},
					error: function(error){	
						$("#rup_feedback_dialogTramitacion").rup_feedback('set',$.rup.i18n.app.error.recuperarPrecioPublico,"error");
						Ad74aUtils.desBloquearInterfaz();
					}
				});
			}
		}
	}
	
	Ad74aUtils.number("#baremo04_tramitacion_dialog",{"type": "decimal", "integers": 3, "negative": false, "currency":false});

	initRupI18nPromise.then(function() {
		
				
		prepareDataEstudioDoc();
		
	});
		

	window.openDialogTramitacion = (refresh) => {  
		
		Ad74aUtils.bloquearInterfaz();  
		
		$('#formularioTareaTramiteComun').rup_form("clearForm");
		$('#formularioTareaTramite1').rup_form("clearForm");
		$('#formularioTareaTramite2').rup_form("clearForm");
		$('#formularioTareaTramite3').rup_form("clearForm");
		$('#formularioTareaTramite4').rup_form("clearForm");
		
    	let divTitleDialog = $( "div[aria-describedby='dialogTramitacion'] .ui-dialog-title" );
    	
    	let tramiteExpSelecionado =$("#tramitacion").rup_table("getSelectedRows");
    	
    	let data = {tramiteTareaDtoFilter:{tramitesExpediente : {}}};    	
    	data.tramiteTareaDtoFilter.tramitesExpediente.idTramiteExp10 =tramiteExpSelecionado.idTramiteExp10;
    	data.tramiteTareaDtoFilter.tramitesExpediente.expediente = tramiteExpSelecionado.expediente;
		//Seteamos en tipo de accion en el formulario
    	data.idTarea = $("#tramitacion").rup_table("getSelectedRows").maestroTramites.idTramite37;

    	data = JSON.stringify(data);
    	
        let ajaxData = {
               'url': $.rup.CTX_PATH + 'tramitesexpediente/getTrEstudioDoc',
    	       'type': 'POST',
    	       'data': data,
    	       'contentType': 'application/json',
    	       'dataType': 'json',
    	       success: function (data) {
    	    	   if(data != undefined && data.tramitesExpediente != undefined && data.tramitesExpediente.expediente != null){
    	    		   
    	    		   //Desbloqueamos los inputs por si se ha abierto otro tramite de solo lectura anteriormente    	    		   
    	    		   $("#comentarios").prop("disabled", false)    	    		   
    	    		   Ad74aUtils.FN_desBloquearInputsFormulario("formularioTareaTramite1");
    	    		   Ad74aUtils.FN_desBloquearInputsFormulario("formularioTareaTramite2");
    	    		   Ad74aUtils.FN_desBloquearInputsFormulario("formularioTareaTramite3");
    	    		   Ad74aUtils.FN_desBloquearInputsFormulario("formularioTareaTramite4");
    	    		   //Bloqueamos los input que deban estar bloqueados    	    		   
    	    		   $("#valIPREM_tramitesExpedientes").prop("disabled",true);
    	    		   $("#nivelReq_tramitesExpedientes").prop("disabled",true);
    	    		   $("[name='tramitesExpediente.expediente.exencionSol00']").prop("disabled",true);
    	    		         	    		   
    	    		   $("div[aria-describedby='dialogTramitacion'] button:not(#rup_dialogCancelar)").prop("disabled",false);
    	    	   
    	    		   
    	    		   //Limpiamos el feedback
    	    		   if($("#dialogTramitacion").find('.error').length > 0){
	    	    		   $("#rup_feedback_dialogTramitacion").rup_feedback('close');
    	    		   }

    	    		   
    	    		   //nos aseguramos de borrar todo
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramiteComun');
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramite1');
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramite2');
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramite3');
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramite4');
    	    		   
    	    		   
    	    		   
    	    		   let expediente = data.tramitesExpediente.expediente;
    	    		   let tareaTramite = data.tramitesExpediente.tareaTramite;
    	    		   
    	    		   //Titulo
    	    		   let tipoTramiteDesc = data.tramitesExpediente.maestroTramites.desc ;
    	    		   //Controlamos el titulo para los tramites de estudio por aportación Subsanacion
    	    		   if( data.tramitesExpediente.maestroTramites.idTramite37 == idtramiteEstudioDocumentacion && data.tramitesExpediente.tipoEstudioDoc10 == tipoEstudioDoc10EstudioDocumentacionAportacionSubsanacion){
    	    			   tipoTramiteDesc = $.rup.i18n.app.tramites.estudioDocAportacionSubsanacion;	
    	    		   }
    	    		   divTitleDialog.html(tipoTramiteDesc +  ' / '+ expediente.numExpediente00 + ' / ' + expediente.solicitantes.identificador01 );

    	    		   
    	    		   
    	    		   //Tabla datos economicos 
    	    		   let fRealizacion =(function(){ try { return data.tramitesExpediente.fRealizacion10;} catch { return null}})()
    	    			   
    	    		   let editable = fRealizacion == undefined || fRealizacion == null;
    	    		   inciarDatosEconomicos(editable,FN_getNivelRecurso);
    	    		   
    	    		   if(data.tramitesExpediente.tareaTramite.datosTareaEstudioAlta != null){
    	    				
    	    			   //Inicio datos comunes
    	    				let datosTareaEstudio = data.tramitesExpediente.tareaTramite.datosTareaEstudioAlta;
    	    				
    	    				//Los datos de la cabecera se obtienen del resultado actual, no del guardado en el momento de ejecutar
    	    				$("#fInicio10_tramitacion_dialog").val(data.tramitesExpediente.fInicio10 );    	    				
    	    				$("#fRealizacion10_tramitacion_dialog").val(data.tramitesExpediente.fRealizacion10);
    	    				$("#estado_tramitacion_dialog").val(data.tramitesExpediente.descEstado10 );
    	    				$("#comentarios").val(data.tramitesExpediente.observaciones10);
    	    				
    	    				
    	    				if(datosTareaEstudio.dependencia != null){
        	    				$("#gradoDependencia04_tramitacion_dialog").val(datosTareaEstudio.dependencia.idGradoDependencia04 );
    	    					$("#dependenciadesc04_tramitacion_dialog").val(datosTareaEstudio.dependencia.descOtraDependencia04 );
        	    				if(datosTareaEstudio.dependencia.idGradoDependencia04 != undefined && datosTareaEstudio.dependencia.idGradoDependencia04 != null){
        	    					$("#gradoDependencia04_tramitacion_dialog").data("settings").source = $.rup.CTX_PATH + 'combo/gradoDependencia?valorActual='+ datosTareaEstudio.dependencia.idGradoDependencia04,
        	    					$("#gradoDependencia04_tramitacion_dialog").attr("valorCarga",datosTareaEstudio.dependencia.idGradoDependencia04);
        	    					$("#gradoDependencia04_tramitacion_dialog").rup_combo("reload");	
        	    				}
        	    					
        	    				$("#fResolucion04_tramitacion_dialog").val(datosTareaEstudio.dependencia.fResolucion04 );
        	    				$("#baremo04_tramitacion_dialog").val(datosTareaEstudio.dependencia.baremo04 );
    	    				}

    	    				if(datosTareaEstudio.discapacidad != null){
    	    					
    	    					$("#descDiscapacidad71_tramitacion_dialog").val(datosTareaEstudio.discapacidad.descDiscapacidad71 );
        	    				
        	    				if(datosTareaEstudio.discapacidad.discapacidadFisica71 == 1){
        	    					$("#discapacidadFisica71_tramitacion_dialog").prop( "checked", true );	
        	    				}else{
        	    					$("#discapacidadFisica71_tramitacion_dialog").prop( "checked", false);
        	    				}
        	    				
        	    				if(datosTareaEstudio.discapacidad.discapacidadSensorial71 == 1){
        	    					$("#discapacidadIntelecto71_tramitacion_dialog").prop( "checked", true );	
        	    				}else{
        	    					$("#discapacidadIntelecto71_tramitacion_dialog").prop( "checked", false);
        	    				}
        	    				
        	    				if(datosTareaEstudio.discapacidad.discapacidadSensorial71 == 1){
        	    					$("#discapacidadSensorial71_tramitacion_dialog").prop( "checked", true );	
        	    				}else{
        	    					$("#discapacidadSensorial71_tramitacion_dialog").prop( "checked", false);
        	    				}
    	    				}
    	    				
    	    				
    	    				
    	    				$("#resultadoEstudio00").val(datosTareaEstudio.resultadoEstudio);
    	    				$("#resultadoEstudio00").rup_combo("refresh"); // Sino no se actualiza el valor visible en el combo con el valor del input
    	    				FN_resultadoEstudio00_onLoad(); //Sino no ejecuta el onload
    	    				FN_resultadoEstudio00_change(); //Sino no ejecuta el onchange
    	    				
    	    				
    	    				$("#tramitesExpediente_tareaTramite_maestroTareas_idTarea38").val(datosTareaEstudio.idTarea);
    	    				$("#tramitesExpediente_tareaTramite_idTareaTram11").val(datosTareaEstudio.idTareaTramite);
    	    				$("#tramitesExpediente_expediente_idProcedimiento00").val(datosTareaEstudio.idProcedimiento00 );
    	    				$('#tramitesExpediente_idTramiteExp10').val(datosTareaEstudio.tramitesExpediente.idTramiteExp10);   
    	    				$('#tramitesExpediente_tareaTramite_tipoEstudioDoc10').val(datosTareaEstudio.tramitesExpediente.tipoEstudioDoc10);   
    	    				
    	    				$("#situacioneFinalTarea").rup_combo("setSource",$.rup.CTX_PATH + 'combo/situacioneFinalTarea?idProcedimiento00='+expedienteJSON.idProcedimiento00 + '&tipoEstudioDoc10=' + $("#tramitesExpediente_tareaTramite_tipoEstudioDoc10").val()+ '&idExpediente=' + expedienteJSON.idExpediente00 + '&tramiteCerrado=' + ($("#fRealizacion10_tramitacion_dialog").val() != '') );
    	    				$("#situacioneFinalTarea").attr("valorACargar",datosTareaEstudio.situacioneFinalTarea);
    	    				$("#situacioneFinalTarea").rup_combo("refresh");// Sino no se actualiza el valor visible en el combo con el valor del input
    	    				
    	    				//FIN datos comunes
    	    				
    	    				
     	    			  
    	    				
    	    				if(datosTareaEstudio.expediente.exencionSol00 == 1){
    	    					$("#si_exencionSol00_tramitesExpedientes").prop( "checked", true );	
    	    				}else{
    	    					$("#no_exencionSol00_tramitesExpedientes").prop( "checked", true );
    	    				}
    	    				
    	    				if(datosTareaEstudio.expediente.exencionRes00 == 1){
    	    					$("#si_exencionRes00_tramitesExpedientes").prop( "checked", true );	
    	    				}else{
    	    					$("#no_exencionRes00_tramitesExpedientes").prop( "checked", true );
    	    				}
    	    				
    	    				if(datosTareaEstudio.tipoPrecio == 1){
    	    					$("#privado_tipoPrecio_tramitesExpedientes").prop( "checked", true );	
    	    				}else if(datosTareaEstudio.tipoPrecio == 0){
    	    					$("#precioFinal00_tramitesExpedientes").enable(false);
    	    					$("#publico_tipoPrecio_tramitesExpedientes").prop( "checked", true );
    	    				}
    	    				
    	    				//SE ESTABLECE EL PRECIO PUBLICO POR DEFECTO        	    		
   	    					$("#precioFinal00_tramitesExpedientes").enable(false);
   	    					$("#privado_tipoPrecio_tramitesExpedientes").enable(false);
    	    				
    	    				if(datosTareaEstudio.expediente.seOpone00 == 0){
       	    					$("#interoperabilidad").prop( "checked", true );	
    	    				}else{
    	    					$("#interoperabilidad").prop( "checked", false);
    	    				}
    	    
    	    				$("#fResolucion00_tramitesExpedientes").val(datosTareaEstudio.expediente.fResolucion00 );
    	    				
    	    				$("#precioFinal00_tramitesExpedientes").val(datosTareaEstudio.expediente.precioFinal00 );

    	    				$("#interoperabilidad").val(datosTareaEstudio.interoperabilidad );
    	    				
    	    				$("#anioIPREM_tramitesExpedientes").val(datosTareaEstudio.anioIPREM );
    	    				$("#anioIPREM_tramitesExpedientes").rup_combo("refresh");
    	    				
    	    				$("#valIPREM_tramitesExpedientes").val(datosTareaEstudio.valIPREM );
    	    				$("#nivelReq_tramitesExpedientes").val(datosTareaEstudio.nivelReq );	
    	    				
      	    			   //Fin datos Concesion
    	    				
      	    			   //Inicio datos Subsanacion
    	    				
    	    				$("#fSubsanacion_tramitesExpedientes").val(datosTareaEstudio.fSubsanacion);
    	    				$("#txtRequerimiento").val(datosTareaEstudio.txtRequerimiento);
    	    				
    	    				
    	    				if(datosTareaEstudio.reqSolNoFirma == 1){
    	    					$("#reqSolNoFirma_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqSolNoFirma_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqRepNoFirma == 1){
    	    					$("#reqRepNoFirma_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqRepNoFirma_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqRepNoAcredita == 1){
    	    					$("#reqRepNoAcredita_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqRepNoAcredita_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqNoAutVerPadron == 1){
    	    					$("#reqNoAutVerPadron_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqNoAutVerPadron_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqNoAutVerPadronSolo == 1){
    	    					$("#reqNoAutVerPadronSolo_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqNoAutVerPadronSolo_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqAutVerPadronNoSoloInfSol == 1){
    	    					$("#reqAutVerPadronNoSoloInfSol_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqAutVerPadronNoSoloInfSol_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqDependeciaInformeSocial == 1){
    	    					$("#reqDependeciaInformeSocial_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqDependeciaInformeSocial_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqRiesgoAislamientoSinInfSocial == 1){
    	    					$("#reqRiesgoAislamientoSinInfSocial_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqRiesgoAislamientoSinInfSocial_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqSinFichaSanitaria == 1){
    	    					$("#reqSinFichaSanitaria_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqSinFichaSanitaria_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqSinTelefonoFijo == 1){
    	    					$("#reqSinTelefonoFijo_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqSinTelefonoFijo_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqSinDatosBancarios == 1){
    	    					$("#reqSinDatosBancarios_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqSinDatosBancarios_detail_table").prop( "checked", false );
    	    				}
    	    				if(datosTareaEstudio.reqSolExencionBizkaia == 1){
    	    					$("#reqSolExencionBizkaia_detail_table").prop( "checked", true );	
    	    				}else{
    	    					$("#reqSolExencionBizkaia_detail_table").prop( "checked", false );
    	    				}
    	    				
       	    			   //Fin datos Subsanacion
    	    				
    	    				//Inicio datos Denegacion
    	    				if(datosTareaEstudio.motivoDenegacion != undefined &&datosTareaEstudio.motivoDenegacion !=  null ){
	    	    				for (i=0;i<datosTareaEstudio.motivoDenegacion.length;i++) { 
	    	    				    $("#motivo"+ datosTareaEstudio.motivoDenegacion[i] +"_detail_table").prop( "checked", true );	
	    	    				}
	    		   			}
    	    				
    	    				$("#fDenegacion_tramitesExpedientes").val(datosTareaEstudio.fDenegacion);
    	    				//Fin datos Denegacion    	    				
    	    				
    	    		   }else{
        	    		   
        	    		   //Poblamos los formualrios si no se habia guardado nada
    	    			   let dataArray = $.rup_utils.jsontoarray(data)
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramiteComun");
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramite1");
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramite2");
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramite3");
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramite4");
        	    		   
        	    		   $("#situacioneFinalTarea").rup_combo("setSource",$.rup.CTX_PATH + 'combo/situacioneFinalTarea?idProcedimiento00='+expedienteJSON.idProcedimiento00 + '&tipoEstudioDoc10=' + $("#tramitesExpediente_tareaTramite_tipoEstudioDoc10").val()+ '&idExpediente=' + expedienteJSON.idExpediente00 + '&tramiteCerrado=' + ($("#fRealizacion10_tramitacion_dialog").val() != '') );
        	    		   
        	    		   if(data.tramitesExpediente.dependencias != undefined && data.tramitesExpediente.dependencias !=  null 
        	    				   && data.tramitesExpediente.dependencias.idGradoDependencia04 != null){
        	    			   $("#gradoDependencia04_tramitacion_dialog").attr("valorCarga",data.tramitesExpediente.dependencias.idGradoDependencia04);
        	    			   $("#gradoDependencia04_tramitacion_dialog").data("settings").source = $.rup.CTX_PATH + 'combo/gradoDependencia?valorActual='+ data.tramitesExpediente.dependencias.idGradoDependencia04,
    	    				   $("#gradoDependencia04_tramitacion_dialog").rup_combo("reload");	
        	    		   }
		    					
        	    		   if(tareaTramite != null){
            	    		   if(tareaTramite.estadoDocumentacion11 != null || tareaTramite.estadoDocumentacion11 != undefined){
            	    			   $('#estadoDocumentacion').rup_combo("setRupValue",tareaTramite.estadoDocumentacion11);
            	    		   }

            	    		   $('#tramitesExpediente_idTramiteExp10').val(tareaTramite.tramitesExpediente.idTramiteExp10);
            	    		   $('#tramitesExpediente_tareaTramite_idTareaTram11').val(tareaTramite.idTareaTram11);
            	    		   $('#tramitesExpediente_expediente_idProcedimiento00').val($("#idProcedimiento00").val());
    	       		  	    	
        	    		   }
        	    		   
        	    		   //SE ESTABLECE EL PRECIO PUBLICO POR DEFECTO        	    		
   	    					$("#precioFinal00_tramitesExpedientes").enable(false);
   	    					$("#privado_tipoPrecio_tramitesExpedientes").enable(false);
   	    					$("#publico_tipoPrecio_tramitesExpedientes").prop( "checked", true );
   	    				
        	    		   
    	    		   }
    	    		   
    	    		  
    	    		   //Cargamos la tabla de documentos
    	    		   if( editable){
    	    			   //Si no esta cerrado lo cargamos de los que recuperamos de platea
    	    			   $("#documentListStringify_filter_doc_table_from").val(data.documentosAportados);   
    	    		   }else if(data.tramitesExpediente.tareaTramite.datosTareaEstudioAlta != null){
    	    			   //Si esta cerrado lo cargamos de los datos guardados en la tarea
    	    			   $("#documentListStringify_filter_doc_table_from").val(data.tramitesExpediente.tareaTramite.datosTareaEstudioAlta.documentosAportados);
    	    		   }
    	    		   
	    			   cargarDocumentosAportados();

        	    	   //si ha finalizado deshabilitar,solo lectura
        	    	   if( data.tramitesExpediente.fRealizacion10!= null){ 
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramiteComun");
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramite1");
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramite2");
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramite3");
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramite4");
        	    		         	    		   
        	    		   $("div[aria-describedby='dialogTramitacion'] button:not(#rup_dialogCancelar)").prop("disabled",true);
        	    	   }

    	    	   }

    	    	   $("#tramitacion_processing").hide();
    	    	   Ad74aUtils.formatoMoneda();
    	    	   Ad74aUtils.soloNumericos();
    	    	   
	    	       	if ( $.fn.DataTable.isDataTable( '#datosEconomicos' ) ) {
	    	    		$("#datosEconomicos").rup_table("reload");	
	    	    	}
	    	       	
	    	       	Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramiteComun");
    				Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramite1");
    				Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramite2");
    				Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramite3");
    				Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramite4");
    				

    				
    				//para que lo ponga en formato moneda
    				$("#baremo04_tramitacion_dialog").trigger("blur");
    	    	    $('#dialogTramitacion').rup_dialog('open');

    	       },
    	       error: function (error) {
    	    	   $("#tramitacion_processing").hide();
    	    	   if(!refresh){
    	    		   $('#dialogTramitacion').rup_dialog('close');
    	    	   }
    	    	   $("#rup_feedback_tramitacion").rup_feedback('set',error.responseJSON,"error");
    	       }
         	};
        $.rup_ajax(ajaxData);
   }
	
	const prepareDataEstudioDoc =  () => {
		
		$("#rup_feedback_dialogTramitacion").rup_feedback ({
			type: "ok",
			block: false
		});

		
		//Validaciones 		
		 jQuery.validator.addMethod("resolConcesion", function(value, element,a) {
			 if($("#situacioneFinalTarea").rup_combo("getRupValue") ==  situacioneFinalTareaResolucionConcesionVal){
				 if($("#resultadoEstudio00").rup_combo("getRupValue") == estadoDocumentacion11CompletaVal){
					 return true
				 }else{
					 return false;
				 }
			 };
			 
			 return true;
		 },$.rup.i18n.base.rup_validate.messages.required);

		 jQuery.validator.addMethod("checkNoExencionRes", function(value, element,a) {
			 if(!$("#si_exencionRes00_tramitesExpedientes").prop( "checked")){
				 if($("#precioFinal00_tramitesExpedientes").val() != undefined  && Ad74aUtils.deshacerValorFormatoMoneda($("#precioFinal00_tramitesExpedientes").val()) != 0 ){
					 return true
				 }else{
					 return false;
				 }
			 };
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("motDenegacion", function(value, element,a) {
			 if($("#situacioneFinalTarea").rup_combo("getRupValue") ==  situacioneFinalTareaResolucionDenegacionVal){
				 if(! ($("input[name^='datosTareaEstudioAlta.motivoDenegacion']:checked").length > 0)){
					 $("#rup_feedback_dialogTramitacion").rup_feedback('set'
							 ,"</div><div id='rup_feedback_dialogTramitacion_content'><ul class='rup-maint_feedbackUL'>" +  $.rup.i18nParse($.rup.i18n.base, 'rup_jqtable.validateError') + "<br><li><b>" + $.rup.i18n.app.estudioDocBaja.motivosDenegacion + ":</b><ul><li>" + $.rup.i18n.base.rup_validate.messages.required + "</li></ul></li></ul>"
							 , 'error' );
					 return false;
				 }
				 
			 };
			 return true;
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("checkAnioIPREM", function(value, element,a) {
			 if($("#si_exencionRes00_tramitesExpedientes").prop("checked")){
				 if( $("#anioIPREM_tramitesExpedientes").rup_combo("getRupValue") == ''){
					 return false;
				 }
				 
			 };
			 return true;
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("datosEconomicos", function(value, element,a) {
			 if($("#si_exencionRes00_tramitesExpedientes").prop("checked")){
				 if($("#datosEconomicos").rup_table("getContext").aoData.length == 0){
					 $("#rup_feedback_dialogTramitacion").rup_feedback('set'
							 ,"</div><div id='rup_feedback_dialogTramitacion_content'><ul class='rup-maint_feedbackUL'>" +  $.rup.i18nParse($.rup.i18n.base, 'rup_jqtable.validateError') + "<br><li><b>" + $.rup.i18n.app.estudioDocBaja.datosEconomicos + ":</b><ul><li>" + $.rup.i18n.base.rup_validate.messages.required + "</li></ul></li></ul>"
							 , 'error' );
					 return false
				 }
				 
			 };
			 return true;
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 var properties={
					feedback:$("#rup_feedback_dialogTramitacion"),
					liveCheckingErrors: false,
					showFieldErrorAsDefault: true,
					showErrorsInFeedback: true,
					showFieldErrorsInFeedback: true,
					rules:{
						"tramitesExpediente.expediente.precioFinal00":{"checkNoExencionRes":true},
					      "tramitesExpediente.expediente.exencionRes00":{ "resolConcesion" : true},
					      "tramitesExpediente.expediente.exencionSol00":{ required:true},
					      "tramitesExpediente.expediente.exencionRes00":{ required:true},
					      "tramitesExpediente.anioIPREM":{ "checkAnioIPREM":true}
					}
		 };		
		$("#formularioTareaTramiteComun").rup_validate(properties);
		$("#formularioTareaTramite1").rup_validate(properties);
		$("#formularioTareaTramite2").rup_validate(properties);
		$("#formularioTareaTramite3").rup_validate(properties);
		$("#formularioTareaTramite4").rup_validate(properties);
		
		
		
		
		$('#fResolucion04_tramitacion_dialog').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			disabled : false
		});
		
		$('#fSubsanacion_tramitesExpedientes').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			disabled : false
		});
		
		$('#fResolucion00_tramitesExpedientes').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			disabled : false
		});
		
		$('#fDenegacion_tramitesExpedientes').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			disabled : false
		});
				
		$('input[type=radio][name="tipoPrecio"]').change(function() {
			FN_controlTipoPrecio();
		});
		
		
		$('input[type=radio][name="tramitesExpediente.expediente.exencionRes00"]').change(function() {
			FN_controlResolExencion();
		});
		
		$("#fResolucion00_tramitesExpedientes").on("change", function(){	
			if($("#publico_tipoPrecio_tramitesExpedientes").prop( "checked" )){
				FN_controlPrecioPublico();
			}
		});
		
		$("#resultadoEstudio00").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank:'',
			onLoadSuccess: function(obj){
				FN_resultadoEstudio00_onLoad();
			},
			change: function(obj){
				FN_resultadoEstudio00_change();
			}
		});

		
		$("#situacioneFinalTarea").rup_combo({
			source: $.rup.CTX_PATH + 'combo/situacioneFinalTarea?idProcedimiento00='+expedienteJSON.idProcedimiento00 + '&tipoEstudioDoc10=' + $("#tramitesExpediente_tareaTramite_tipoEstudioDoc10").val()+ '&idExpediente=' + expedienteJSON.idExpediente00 + '&tramiteCerrado=' + ($("#fRealizacion10_tramitacion_dialog").val() != ''),
			sourceParam: {label: "descripcion", value:"value"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank:'',
			change: FN_situacioneFinalTarea_change,
			onLoadSuccess: function(obj){
				if($("#situacioneFinalTarea").val() != null && $("#situacioneFinalTarea").val()!= undefined && $("#situacioneFinalTarea").val() != ''){
					$("#situacioneFinalTarea").rup_combo("setRupValue",$("#situacioneFinalTarea").val());
				}else if($("#situacioneFinalTarea").attr("valorACargar") != null && $("#situacioneFinalTarea").attr("valorACargar")!= undefined && $("#situacioneFinalTarea").attr("valorACargar") != ''){
					$("#situacioneFinalTarea").rup_combo("setRupValue",$("#situacioneFinalTarea").attr("valorACargar"));
				}
				FN_situacioneFinalTarea_change();
				
				let editable = $("#fRealizacion10_tramitacion_dialog").val() == undefined || $("#fRealizacion10_tramitacion_dialog").val() == null || $("#fRealizacion10_tramitacion_dialog").val() == ''  ;
				if(!editable){
					$("#situacioneFinalTarea").rup_combo("disable");
				}else{
					$("#situacioneFinalTarea").rup_combo("enable");
				}
			}
		});

		
		$("#gradoDependencia04_tramitacion_dialog").rup_combo({
			source: $.rup.CTX_PATH + 'combo/gradoDependencia',
			sourceParam: {label: "descripcion", value:"value"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank:'',
			change: FN_situacioneFinalTarea_change,
			onLoadSuccess: function(obj){
				if($("#gradoDependencia04_tramitacion_dialog").val() != null && $("#gradoDependencia04_tramitacion_dialog").attr("valorCarga") != undefined){
					$("#gradoDependencia04_tramitacion_dialog").rup_combo("setRupValue",$("#gradoDependencia04_tramitacion_dialog").attr("valorCarga"));
				}
				let editable = $("#fRealizacion10_tramitacion_dialog").val() == undefined || $("#fRealizacion10_tramitacion_dialog").val() == null || $("#fRealizacion10_tramitacion_dialog").val() == ''  ;
				if(!editable){
					$("#gradoDependencia04_tramitacion_dialog").rup_combo("disable");
				}else{
					$("#gradoDependencia04_tramitacion_dialog").rup_combo("enable");
				}
			}
		});
		
		$("#anioIPREM_tramitesExpedientes").rup_combo({
			source: $.rup.CTX_PATH + 'combo/anioIPREMList',
			sourceParam: {label: "anio79", value:"anio79"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank:'',
			
			change: function () {
				FN_anioIPREM_change();
			}
		});
		window.FN_anioIPREM_change= () => {

			if($("#anioIPREM_tramitesExpedientes").val() != undefined && $("#anioIPREM_tramitesExpedientes").val() !=''){
				FN_getNivelRecurso();
				FN_getByAnio79();					
			}else{
				$("#valIPREM_tramitesExpedientes").val("");
				$("#nivelReq_tramitesExpedientes").val("");
			}
		}

	}
	const cargarDocumentosNoAportados =  () => {
		let tableColModels = [
			{
				name: "maestroTiposDoc.descEs36",
				index: "maestroTiposDoc.descEs36",
				editable: false,
				hidden: false,
				visible: idioma == 'es'
			},
			{
				name: "maestroTiposDoc.descEu36",
				index: "maestroTiposDoc.descEu36",
				editable: false,
				hidden: false,
				visible: idioma == 'eu'
			},
			{
				name: "obligatorio29",
				index: "obligatorio29"
			}
		];
		
		if ( ! $.fn.DataTable.isDataTable( '#documentosNoAportados' ) ) {
			let columnDefs = [];
			columnDefs[0] = { orderable: false, targets: 1 };
			
			$("#documentosNoAportados").rup_table({
				colReorder: {
					fixedColumnsLeft: 1
				},
				colModel: tableColModels,
				filterForm: '#documentosNoAportados_noFilter_form',
				filter: 'noFilter',
		     	select: {active:true},
				buttons: {
					activate: true,
					blackListButtons: ['reportsButton','addButton', 'editButton', 'cloneButton', 'deleteButton','saveButton','cancelButton']
				},
				order: [[0, 'asc']]	 ,
				columnDefs:columnDefs
				,dom: 't<"container-fluid paginationContainer"' +
				  '<"row mx-0"' +
				  '<"col-6 order-3 text-right align-self-center col-sm-5 order-sm-2 col-xl-2 order-xl-1 text-xl-left">' +
				  '<"d-none"p>' +
				  '<"col-12 text-center"i>' +
				  '>' +
				  '>' +
				  'r',
				  columnOrderArrows: {
					    showOnlyActive: false,
					    display: 'inline'
					}
			});
			//Eventos de la tabla.
			//ocultar toolbar
			$('#documentosNoAportados').on('tableButtonsAfterToolbarInit', function (event, ctx) {
				$("#documentosNoAportados_containerToolbar").addClass('d-none');
			});
	
		}else{
			$("#documentosNoAportados").rup_table("reload");
		}
	
	}
	
			
	

	window.guardarTarea = (tipoTramite)  => { 
		
		let tipoResol = $("#situacioneFinalTarea").rup_combo("getRupValue");
		Ad74aUtils.cerrarFeedbacks();
		
		// Controlar que tiene el número de cuenta. Si no parar
		try{$("#divResolucionConcesion_feedback").rup_feedback("destroy");}catch(err){}
		const cuentaValida  = $("#numCuenta05_tabSolicitud_detail_table").val()!='' && Ad74aUtils.validarIBAN($("#numCuenta05_tabSolicitud_detail_table").val());
		if(tipoTramite == 'tramitar' && tipoResol == situacioneFinalTareaResolucionConcesionVal && !cuentaValida) {
			$("#divResolucionConcesion_feedback").rup_feedback(
					{
						type: "error",
						block: false,
						delay: null
					}
			);
			$('#divResolucionConcesion_feedback').rup_feedback("option", "delay", null);
			$("#divResolucionConcesion_feedback").rup_feedback('set',$.rup.i18n.app.errores.errorNumCuentaObligatorioEstudioAlta,"error");
			return false;
		}
		
		
		if( tipoTramite == 'guardar' || 
				($("#formularioTareaTramiteComun").valid() &&  $("#formularioTareaTramite1").valid()
					&& (
						( tipoResol == situacioneFinalTareaResolucionConcesionVal && $("#formularioTareaTramite2").valid() && $.validator.methods.datosEconomicos()) 
						|| ( tipoResol == situacioneFinalTareaResolucionDenegacionVal && $("#formularioTareaTramite3").valid() && $.validator.methods.motDenegacion() ) 
						|| ( tipoResol == situacioneFinalTareaRequerimientoSubsanacionVal  && $("#formularioTareaTramite4").valid())
						|| ( tipoResol == situacioneFinalTareaNoHacerNadaVal ) 
					)
				)
			){
			
			//Limpiamos los otros datos del formulario
			if(tipoResol == situacioneFinalTareaResolucionConcesionVal){
				$("#formularioTareaTramite3").rup_form("clearForm");
				$("#formularioTareaTramite4").rup_form("clearForm");
			} else if( tipoResol == situacioneFinalTareaResolucionDenegacionVal ){
				$("#formularioTareaTramite2").rup_form("clearForm");
				$("#formularioTareaTramite4").rup_form("clearForm");
			} else if(tipoResol == situacioneFinalTareaRequerimientoSubsanacionVal ){
				$("#formularioTareaTramite2").rup_form("clearForm");
				$("#formularioTareaTramite3").rup_form("clearForm");
			} else if(tipoResol == situacioneFinalTareaNoHacerNadaVal ){
				$("#formularioTareaTramite2").rup_form("clearForm");
				$("#formularioTareaTramite3").rup_form("clearForm");
				$("#formularioTareaTramite4").rup_form("clearForm");
			}
				
			let url = '../../tramitesexpediente/guardarTarea';
			
			let data = {}; 
			
			let formC = $("#formularioTareaTramiteComun").rup_form("formToJson") ;
			let form1 = $("#formularioTareaTramite1").rup_form("formToJson") ;
			let form2 = $("#formularioTareaTramite2").rup_form("formToJson") ;
			let form3 = $("#formularioTareaTramite3").rup_form("formToJson") ;
			let form4 = $("#formularioTareaTramite4").rup_form("formToJson") ;
			data.TramiteTareaDto = $.extend( true,formC, form1, form2, form3 , form4 );
			   
			data.TramiteTareaDto.tipoTramite = tipoTramite;
						
			data.TramiteTareaDto.tramitesExpediente.expediente.idExpediente00 = idExpediente00;

			//Convertimos los formatos moneda a numerico			
			data.TramiteTareaDto.tramitesExpediente.valIPREM = Ad74aUtils.deshacerValorFormatoMoneda(data.TramiteTareaDto.tramitesExpediente.valIPREM);
			data.TramiteTareaDto.tramitesExpediente.nivelReq = Ad74aUtils.deshacerValorFormatoMoneda(data.TramiteTareaDto.tramitesExpediente.nivelReq);			
			//No tiene decimales 
			data.TramiteTareaDto.tramitesExpediente.baremo04 = data.TramiteTareaDto.tramitesExpediente.baremo04;
			data.TramiteTareaDto.tramitesExpediente.expediente.precioFinal00 = Ad74aUtils.deshacerValorFormatoMoneda(data.TramiteTareaDto.tramitesExpediente.expediente.precioFinal00);
			
			
			//Borramos los input generados por los checks
			delete data.TramiteTareaDto._tramitesExpediente;

						
			//Pasamos los datos al objeto datosTareaEstudio para su guardado y cargado. 			
			if(data.TramiteTareaDto.datosTareaEstudio == undefined){
				data.TramiteTareaDto.datosTareaEstudio = {};
			}
			let datosTareaEstudio = data.TramiteTareaDto.datosTareaEstudio;
			
			datosTareaEstudio.tipoPrecio = data.TramiteTareaDto.tipoPrecio;
			
			if(data.TramiteTareaDto.tramitesExpediente != undefined){
				datosTareaEstudio.tramitesExpediente = {};
				datosTareaEstudio.tramitesExpediente.idTramiteExp10 = data.TramiteTareaDto.tramitesExpediente.idTramiteExp10;
				datosTareaEstudio.tramitesExpediente.fInicio10 = data.TramiteTareaDto.tramitesExpediente.fInicio10;
				datosTareaEstudio.tramitesExpediente.fRealizacion10 = data.TramiteTareaDto.tramitesExpediente.fRealizacion10;
				datosTareaEstudio.tramitesExpediente.idEstado10 = data.TramiteTareaDto.tramitesExpediente.idEstado10;
				datosTareaEstudio.tramitesExpediente.observaciones10 = data.TramiteTareaDto.tramitesExpediente.observaciones10;
				datosTareaEstudio.tramitesExpediente.tipoEstudioDoc10 = data.TramiteTareaDto.tramitesExpediente.tipoEstudioDoc10;
				
				if(data.TramiteTareaDto.tramitesExpediente.dependencias != undefined){
					datosTareaEstudio.dependencia = {};
					datosTareaEstudio.dependencia.idGradoDependencia04 = data.TramiteTareaDto.tramitesExpediente.dependencias.idGradoDependencia04;
					datosTareaEstudio.dependencia.fResolucion04 = data.TramiteTareaDto.tramitesExpediente.dependencias.fResolucion04;
					datosTareaEstudio.dependencia.baremo04 = data.TramiteTareaDto.tramitesExpediente.dependencias.baremo04;
					data.TramiteTareaDto.tramitesExpediente.dependencias.baremo04 = data.TramiteTareaDto.tramitesExpediente.dependencias.baremo04;
					datosTareaEstudio.dependencia.descOtraDependencia04 = data.TramiteTareaDto.tramitesExpediente.dependencias.descOtraDependencia04;
				}
				
				
				if(data.TramiteTareaDto.tramitesExpediente.discapacidad != undefined){
					datosTareaEstudio.discapacidad = {};
					datosTareaEstudio.discapacidad.descDiscapacidad71 = data.TramiteTareaDto.tramitesExpediente.discapacidad.descDiscapacidad71;
					datosTareaEstudio.discapacidad.discapacidadFisica71 = data.TramiteTareaDto.tramitesExpediente.discapacidad.discapacidadFisica71;
					datosTareaEstudio.discapacidad.discapacidadIntelecto71 = data.TramiteTareaDto.tramitesExpediente.discapacidad.discapacidadIntelecto71;
					datosTareaEstudio.discapacidad.discapacidadSensorial71 = data.TramiteTareaDto.tramitesExpediente.discapacidad.discapacidadSensorial71;
				}
				

				if( data.TramiteTareaDto.tramitesExpediente.expediente != undefined){
					datosTareaEstudio.expediente = {};
					
					datosTareaEstudio.expediente.exencionSol00 = data.TramiteTareaDto.tramitesExpediente.expediente.exencionSol00;
					datosTareaEstudio.expediente.exencionRes00 = data.TramiteTareaDto.tramitesExpediente.expediente.exencionRes00;
					datosTareaEstudio.expediente.fResolucion00 = data.TramiteTareaDto.tramitesExpediente.expediente.fResolucion00;
					datosTareaEstudio.expediente.precioFinal00 = data.TramiteTareaDto.tramitesExpediente.expediente.precioFinal00 ;
					datosTareaEstudio.expediente.seOpone00 = data.TramiteTareaDto.tramitesExpediente.expediente.seOpone00 ;
				}
				datosTareaEstudio.interoperabilidad = $("#interoperabilidad").is(':checked') ? 0 : 1;
				
				datosTareaEstudio.anioIPREM = data.TramiteTareaDto.tramitesExpediente.anioIPREM;
				datosTareaEstudio.valIPREM = data.TramiteTareaDto.tramitesExpediente.valIPREM;
				datosTareaEstudio.nivelReq = data.TramiteTareaDto.tramitesExpediente.nivelReq;
				
				if( data.TramiteTareaDto.tramitesExpediente.tareaTramite != undefined && data.TramiteTareaDto.tramitesExpediente.tareaTramite.maestroTareas != undefined){
					datosTareaEstudio.idTarea = data.TramiteTareaDto.tramitesExpediente.tareaTramite.maestroTareas.idTarea38;
					datosTareaEstudio.idTareaTramite = data.TramiteTareaDto.tramitesExpediente.tareaTramite.idTareaTram11;
					datosTareaEstudio.idProcedimiento00 = data.TramiteTareaDto.tramitesExpediente.expediente.idProcedimiento00;
				}
				
			}
			
			if(data.TramiteTareaDto.datosTareaEstudio != undefined && data.TramiteTareaDto.datosTareaEstudio != null){
				datosTareaEstudio.resultadoEstudio00 = data.TramiteTareaDto.datosTareaEstudio.resultadoEstudio;
				datosTareaEstudio.situacioneFinalTarea = data.TramiteTareaDto.datosTareaEstudio.situacioneFinalTarea;	
			}
			
			
			
			//Inicio datos subsanacion
			if(data.TramiteTareaDto.datosTareaEstudioAlta != undefined && data.TramiteTareaDto.datosTareaEstudioAlta != null){
				datosTareaEstudio.reqSolNoFirma = data.TramiteTareaDto.datosTareaEstudioAlta.reqSolNoFirma;
				datosTareaEstudio.reqRepNoFirma = data.TramiteTareaDto.datosTareaEstudioAlta.reqRepNoFirma;
				datosTareaEstudio.reqRepNoAcredita = data.TramiteTareaDto.datosTareaEstudioAlta.reqRepNoAcredita;
				datosTareaEstudio.reqNoAutVerPadron = data.TramiteTareaDto.datosTareaEstudioAlta.reqNoAutVerPadron;
				datosTareaEstudio.reqNoAutVerPadronSolo = data.TramiteTareaDto.datosTareaEstudioAlta.reqNoAutVerPadronSolo;
				datosTareaEstudio.reqAutVerPadronNoSoloInfSol = data.TramiteTareaDto.datosTareaEstudioAlta.reqAutVerPadronNoSoloInfSol;
				datosTareaEstudio.reqDependeciaInformeSocial = data.TramiteTareaDto.datosTareaEstudioAlta.reqDependeciaInformeSocial;
				datosTareaEstudio.reqRiesgoAislamientoSinInfSocial = data.TramiteTareaDto.datosTareaEstudioAlta.reqRiesgoAislamientoSinInfSocial;
				datosTareaEstudio.reqSinFichaSanitaria = data.TramiteTareaDto.datosTareaEstudioAlta.reqSinFichaSanitaria;
				datosTareaEstudio.reqSinTelefonoFijo = data.TramiteTareaDto.datosTareaEstudioAlta.reqSinTelefonoFijo;
				datosTareaEstudio.reqSinDatosBancarios = data.TramiteTareaDto.datosTareaEstudioAlta.reqSinDatosBancarios;
				datosTareaEstudio.reqSolExencionBizkaia = data.TramiteTareaDto.datosTareaEstudioAlta.reqSolExencionBizkaia;

				datosTareaEstudio.txtRequerimiento = data.TramiteTareaDto.datosTareaEstudioAlta.txtRequerimiento;
				datosTareaEstudio.fSubsanacion = data.TramiteTareaDto.datosTareaEstudioAlta.fSubsanacion;
				//Fin datos subsanacion
				datosTareaEstudio.motivoDenegacion = data.TramiteTareaDto.datosTareaEstudioAlta.motivoDenegacion;
				datosTareaEstudio.fDenegacion = data.TramiteTareaDto.datosTareaEstudioAlta.fDenegacion;
				//Inicio datos denegacion
				
				
				//Fin datos denegacion
			}

			
			datosTareaEstudio.documentosAportados = $("#documentListStringify_filter_doc_table_from").val();
			
			
			data.TramiteTareaDto.datosTareaEstudioAlta = datosTareaEstudio;
			
			data = JSON.stringify(data);
			
			
		    let ajaxData = {
		            'url': url,
		    	       'type': 'POST',
		    	       'data': data,
		    	       'contentType': 'application/json',
		    	       'dataType': 'json',
		    	       success: function (data) {
		    	    	   Ad74aUtils.desBloquearInterfaz();
		    	    	   if(data != undefined && data === 'ok'){
		    	    		   //let msg = 'Gurdado con éxito';
		    	    		   let msg = $.rup.i18n.app.tramitacion.guardadoOk;
		    	    		   if(tipoTramite == 'tramitar'){
		    	    			   msg = $.rup.i18n.app.tramitacion.tramitadoOk;
		    	    		   }
		    	    		   $("#tramitacion").rup_table('reload');
		    	    		   $('#dialogTramitacion').rup_dialog('close');
		    	    		   $("#rup_feedback_tramitacion").rup_feedback('set',msg,"ok");
		    	    	   }
		    	       },
		    	       error: function (error) {
		    	       	Ad74aUtils.desBloquearInterfaz();
		    	    	$("#rup_feedback_dialogTramitacion").rup_feedback('set',error.responseJSON,"error");
		    	       }
		     	};
	    
	    	Ad74aUtils.bloquearInterfaz();
	    	$.rup_ajax(ajaxData);
	    }
	}
	
});